Subject: Re: linux-next: build failure after merge of the pm tree

From: Daniel Lezcano <[email-masked]>
Date: Thu, 2 Dec 2021 11:04:45 +0100

On 02/12/2021 00:28, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the pm tree, today's linux-next build (x86_64 allmodconfig)
> failed like this:
> 
> drivers/powercap/dtpm.c: In function 'init_dtpm':
> drivers/powercap/dtpm.c:466:21: error: unused variable 'dtpm_descr' [-Werror=unused-variable]
>   466 |  struct dtpm_descr *dtpm_descr;
>       |                     ^~~~~~~~~~
> cc1: all warnings being treated as errors
> 
> Caused by commit
> 
>   f751db8adaea ("powercap/drivers/dtpm: Disable DTPM at boot time")

Rafael, will you drop the patch from your tree and I send a new one with
the local variable also, or shall I send a change on top of?

> 
> I have used the pm tree from next-20211201 for today.
> 

-- 
<http://www.linaro.org/> Linaro.org │ Open source software for ARM SoCs

Follow Linaro:  <http://www.facebook.com/pages/Linaro> Facebook |
<http://twitter.com/#!/linaroorg> Twitter |
<http://www.linaro.org/linaro-blog/> Blog